Package pygccxml :: Package parser :: Module source_reader

# Module source_reader

source code

Classes
gccxml_runtime_error_t
source_reader_t This class reads C++ source code and returns declarations tree.

Functions

bind_aliases(decls) This function binds between class and it's typedefs. | source code

Function Details

### bind_aliases(decls)

source code

This function binds between class and it's typedefs.

Parameters:
  - `decls` - list of all declarations
  - `all_classes` (list of declaration_t items)
Returns:
  None